FeatureInfo (Apache Tomcat 8.5.94 API Documentation)

Package org.apache.tomcat.util.modeler

## Class FeatureInfo

- java.lang.Object
- - org.apache.tomcat.util.modeler.FeatureInfo

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `AttributeInfo`, `NotificationInfo`, `OperationInfo`, `ParameterInfo`

      public class FeatureInfo
      extends java.lang.Object
      implements java.io.Serializable

  Convenience base class for `AttributeInfo` and `OperationInfo` classes that will be used to collect configuration information for the `ModelMBean` beans exposed for management.

  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `description` |
    `protected javax.management.MBeanFeatureInfo` | `info` |
    `protected java.lang.String` | `name` |
    `protected java.lang.String` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FeatureInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getType()` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setType​(java.lang.String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected java.lang.String description

    - #### name

          protected java.lang.String name

    - #### info

          protected javax.management.MBeanFeatureInfo info

    - #### type

          protected java.lang.String type

  - ### Constructor Detail

    - #### FeatureInfo

          public FeatureInfo()

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Returns:
        the human-readable description of this feature.

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of this feature, which must be unique among features in the same collection.

    - #### setName

          public void setName​(java.lang.String name)

    - #### getType

          public java.lang.String getType()

      Returns:
        the fully qualified Java class name of this element.

    - #### setType

          public void setType​(java.lang.String type)